Summary:	Atomic operations implementation
Summary(pl.UTF-8):	Implementacja operacji atomowych
Name:		libatomic_ops
# NOTE: 7.4.x used to be considered experimental until ~2014; see DEVEL branch for now
Version:	7.2g
Release:	1
License:	MIT-like (libatomic_ops), GPL v2+ (libatomic_ops_gpl)
Group:		Development/Libraries
#Source0Download: https://github.com/ivmai/libatomic_ops/wiki/Download
Source0:	http://www.ivmaisoft.com/_bin/atomic_ops/%{name}-%{version}.tar.gz
# Source0-md5:	e6d1c85c90563555f1fde7a0980d41ab
URL:		https://github.com/ivmai/libatomic_ops/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides implementations for atomic memory update operations on a
number of architectures. This allows direct use of these in reasonably
portable code. Unlike earlier similar packages, this one explicitly
considers memory barrier semantics, and allows the construction of
code that involves minimum overhead across a variety of architectures.

%description -l pl.UTF-8
Pakiet udostępnia implementacja atomowych operacji uaktualnień pamięci
dla wielu architektur. Pozwala to na ich bezpośrednie wykorzystanie we
w miarę przenośnym kodzie. W przeciwieństwie do innych podobnych
pakietów ten uwzględnia semantykę barier pamięciowych i pozwala na
konstruowanie kodu na wielu różnych architekturach z minimalnym
narzutem.

%prep
%setup -q -n %{name}-7.2

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_datadir}/libatomic_ops/{COPYING,LICENSING.txt,README*.txt}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README doc/{LICENSING.txt,README.txt,README_malloc.txt,README_stack.txt}
%{_libdir}/libatomic_ops.a
%{_libdir}/libatomic_ops_gpl.a
%{_includedir}/atomic_ops*.h
%{_includedir}/atomic_ops
%{_pkgconfigdir}/atomic_ops.pc
%changelog
* Sun Jul 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libatomic_ops.git;a=log;h=master

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> b55d582
- updated version comment

* Sat Jul 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 09e8033
- new URLs, updated to 7.2g

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 05cc158
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 23 2013 Jakub Bogusz <qboosh@pld-linux.org> adedc40
- updated to 7.2e

* Wed Jul 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 373e7c7
- use 7.2d as version; noted download URL

* Sun Jan 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 961ccb5
- up to 7.2d

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 1ccd3ff
- updated to 7.2
- removed obsolete ppc patch

* Tue Aug 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 112b7cc
- rel 2; fix header on ppc

* Tue Aug 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f11ee42
- new

* Wed May 30 2007 Jakub Bogusz <qboosh@pld-linux.org> d38a66c
- new

